Package org.apache.sysds.runtime.compress.lib

## Class CLALibMerge

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibMerge

    public class CLALibMerge
    extends Object

### Constructor Summary

Constructors
`CLALibMerge()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `merge​(MatrixBlock a, MatrixBlock b, boolean appendOnly, boolean par, boolean deep)` Merge b into a, if possible otherwise

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibMerge

    public CLALibMerge()

### Method Detail

#### merge

    public static MatrixBlock merge​(MatrixBlock a,
                                    MatrixBlock b,
                                    boolean appendOnly,
                                    boolean par,
                                    boolean deep)

Merge b into a, if possible otherwise

Parameters:
  `a` - MatrixBlock a to merge into if possible
  `b` - MatrixBlock b to take elements from
  `appendOnly` - If the appending can be done into a sparse block without sorted indexes
  `par` - If parallelism is allowed
  `deep` - If the copy should be deep most common is true
Returns:
  The merged MatrixBlock